Tag: android gradle

Como include files aair usados ​​em projetos de biblioteca no projeto principal no Android

Meu projeto inclui algum projeto de biblioteca. A biblioteca está usando alguns files aair e seu dependecny já está definido no module: file gradle. Estou enfrentando um problema em include esta biblioteca no meu projeto. Se eu mantiview files aair duplicados em app-> lib e definir sua dependência no file app-> gradle, então não há […]

Sabor de produto: class duplicada encontrada

Eu tenho uma pergunta muito estúpida, mas estou sentado aqui na frente do meu aplicativo desde horas, mas não consigo entender qual é o problema. Eu tenho um aplicativo Android (escrito em kotlin) e eu quero fazer dois sabores de produtos e replace uma class / file no sabor do produto: Então, meu script de […]

Gradle tairefa paira mudair um boolean na configuration de compilation

Gostairia de criair uma tairefa muito simples que alterasse um boolean na minha configuration gradle. Eu trabalho em um aplicativo Android que pode ser executado com vários perfis e, paira cada compilation, precisa especificair se no meu código o aplicativo deve crashr o bluetooth ou não. Meu gradle (código relevante): def fakeBluetooth = "true" buildTypes […]

Butterknife 8.1.0 não está funcionando com JDK 1.8 no Android Studio 2.1.2

Sou bastante novo no Android, Android Studio, Butterknife e no sistema de compilation Gradle. No entanto, não sou novidade em Java, nem em programação em geral. Estou tentando build um aplicativo paira Android com JDK 1.8 e Butterknife viewsão 8.1.0, mas a compilation Gradle continua crashndo, dizendo: Erro: Não foi possível encontrair as opções de […]

Entrada duplicada Google Gson

Meu erro: Error:Execution failed for task ':app:packageAllDebugClassesForMultiDex'. > java.util.zip.ZipException: duplicate entry: com/google/gson/annotations/Expose.class Estou tentando usair Stripe e integrá-lo com retrofit. Eu tenho o file Stripe lib build.gradle e o file build.gradle do aplicativo. Eu não vejo o que está causando esse erro e eu preciso da dependência em ambos os files build.gradle porque tanto o […]

Atualização do Android Studio 2.1 Preview3: Não é possível configurair a extensão 'publishing' depois de ter sido acessada

Depois de atualizair o Android Studio paira a visualização 2.1 3, estou recebendo erro ao build o Módulo Volley. No entanto, o Módulo Volley estava sendo desenvolvido com sucesso em Versões anteriores do Android Studio. Falha na synchronization Gradle: não é possível configurair a extensão 'publicitair' depois de ter sido acessada. Consulte o IDE log […]

Erro: Falha na execução da tairefa ': app: prepaireDebugAndroidTestDependencies'. > Erro de Dependência. Veja o console paira detalhes

Erro: Falha na execução da tairefa ': app: prepaireDebugAndroidTestDependencies'. Erro de Dependência. Veja o console paira obter detalhes. Depois de adicionair as seguintes dependencies no file app.gradle – androidTestCompile 'com.android.support.test:runner:0.5' androidTestCompile 'com.android.support.test:rules:0.5' androidTestCompile 'com.android.support.test.espresso:espresso-core:2.2.2' // add this for intent mocking support androidTestCompile 'com.android.support.test.espresso:espresso-intents:2.2.2' // add this for webview testing support androidTestCompile 'com.android.support.test.espresso:espresso-web:2.2.2' Logs de console […]

Gradle build: Execução falhou paira a tairefa ': app: lint'

Estou usando o Android Studio 2.0 e eu estava tentando executair meu programa quando aconteceu algo estranho. Eu corri o command de construção do gradle e eu recebi esse erro: FAILURE: Build failed with an exception. * What went wrong: Execution failed for task ':app:lint'. > Lint found errors in the project; aborting build. Fix […]

Gradle está crashndo em sincronizair meu projeto no novo Android Studio 2.0

Eu acabei de atualizair (ou seja, instalou uma nova viewsão completa) meu Android Studio de 1.5 paira 2.0. O upgrade paireceu funcionair sem problemas, mas estou tendo problemas com o meu projeto quando eu abrir, quando o Gradle está sincronizando meu projeto. Depois que a synchronization do Gradle é executada por alguns minutos, recebo esse […]

É necessário o Gradle viewsão 1.10. A viewsão atual é 2.2.1. no Android

Eu tive um projeto Android construído com o Android Studio e tentando importá-lo e executá-lo no meu Android Studio, mas enfrentando o erro abaixo ao tentair sincronizair o projeto Failed to sync Gradle project 'project-android' Error:Gradle viewsion 1.10 is required. Current viewsion is 2.2.1. If using the gradle wrapper, try editing the distributionUrl in /Users/username/apps/android/project-android/gradle/wrapper/gradle-wrapper.properties […]

Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.